[Overview][Constants][Types][Classes][Index] | Reference for unit 'DynHashArray' (#lcl)

# TDynHashArray.OnGetKeyForHashItem

User-defined function to obtain a key from an item

## Declaration

Source position: dynhasharray.pp line 137

`public property TDynHashArray.OnGetKeyForHashItem: TOnGetKeyForHashItem read FOnGetKeyForHashItem write SetOnGetKeyForHashItem;`

## Description

If this function is specified,then it is possible to use this class as an associative array. Otherwise, it implements a set.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.